//
//  DPadView.swift
//  Tetris
//
//  Created by Shadowfacts on 10/16/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

import SwiftUI

struct DPadView: View {
    let up: () -> Void
    let down: () -> Void
    let left: () -> Void
    let right: () -> Void
    
    var body: some View {
        GeometryReader { (geometry) in
            VStack {
                Button(action: self.up) {
                    Image(systemName: "arrow.up.square.fill").resizable().frame(width: geometry.size.width / 3)
                }
                HStack {
                    Button(action: self.left) {
                        Image(systemName: "arrow.left.square.fill").resizable().frame(width: geometry.size.width / 3)
                    }
                    Spacer()
                    Button(action: self.right) {
                        Image(systemName: "arrow.right.square.fill").resizable().frame(width: geometry.size.width / 3)
                    }
                }
                Button(action: self.down) {
                    Image(systemName: "arrow.down.square.fill").resizable().frame(width: geometry.size.width / 3)
                }
            }
        }.aspectRatio(1, contentMode: .fit)
    }
}

struct DPadView_Previews: PreviewProvider {
    static var previews: some View {
        DPadView(up: {}, down: {}, left: {}, right: {})
    }
}
